# eoDistribution< EOT > Class Template Reference

Abstract class for Distribution Evolution Algorithms within EO: the distribution itself. More...

`#include <eoDistribution.h>`

Inheritance diagram for eoDistribution< EOT >:

List of all members.

## Public Member Functions

virtual void | operator() (EOT &)=0
| The pure virtual function that needs to be implemented by the subclass.

## Detailed Description

### template<class EOT>
class eoDistribution< EOT >

Abstract class for Distribution Evolution Algorithms within EO: the distribution itself.

It basically IS AN eoInit - operator()(EOT &) generates new indis

The instances will probably be eoValueParam of some kind see eoPBILDistrib.h

Definition at line 45 of file eoDistribution.h.

The documentation for this class was generated from the following file:

- eoDistribution.h